Page MenuHomePhabricator

Fix incorrect deserialization of HTML in WikiLove
Closed, ResolvedPublic

Description

This is related to jQuery 1.9's change in how HTML is recognized by the $() function.

$.wikiLove.openDialog in ext.wikiLove.core.js has HTML that is deserialized the old way, and does not start with a <.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to High.
Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF added subscribers: Aklapper, Unknown Object (MLST), greg and 6 others.
Krinkle removed a subscriber: Krinkle.Jan 17 2015, 1:37 AM
gerritbot added a subscriber: gerritbot.

Change 187863 had a related patch set uploaded (by Mattflaschen):
Update HTML deserialization to meet jQuery 1.9 requirements

https://gerrit.wikimedia.org/r/187863

Patch-For-Review

Nemo_bis removed a subscriber: Nemo_bis.Feb 1 2015, 3:38 PM

Change 187863 merged by jenkins-bot:
Update HTML deserialization to meet jQuery 1.9 requirements

https://gerrit.wikimedia.org/r/187863

DannyH closed this task as Resolved.Feb 3 2015, 11:57 PM
DannyH added a subscriber: DannyH.